probe::vm.brk
Prev | Chapter 6. Memory Tapset | Next

## Name

probe::vm.brk — Fires when a brk is requested (i.e. the heap will be resized)

## Synopsis

    vm.brk

## Values

`length`

  the length of the memory segment

`name`

  name of the probe point

`address`

  the requested address

## Context

The process calling brk.

Prev | Up | Next
function::vm_fault_contains | Home | probe::vm.kfree